## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL
Interface OrderedTupleType

All Superinterfaces:
  org.eclipse.emf.ecore.EClass, org.eclipse.emf.ecore.EClassifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  OrderedTupleTypeImpl

    public interface OrderedTupleType

extends org.eclipse.emf.ecore.EClass

A representation of the model object 'Ordered Tuple Type'.

The following features are supported:

- `Element Type`

See Also:
  `ImperativeOCLPackage.getOrderedTupleType()`

Method Summary
`org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EClassifier>` `getElementType()` Returns the value of the 'Element Type' reference list.

Methods inherited from interface org.eclipse.emf.ecore.EClass

`getEAllAttributes, getEAllContainments, getEAllGenericSuperTypes, getEAllOperations, getEAllReferences, getEAllStructuralFeatures, getEAllSuperTypes, getEAttributes, getEGenericSuperTypes, getEIDAttribute, getEOperations, getEReferences, getEStructuralFeature, getEStructuralFeature, getEStructuralFeatures, getESuperTypes, getFeatureCount, getFeatureID, isAbstract, isInterface, isSuperTypeOf, setAbstract, setInterface`

Methods inherited from interface org.eclipse.emf.ecore.EClassifier
`getClassifierID, getDefaultValue, getEPackage, getETypeParameters, getInstanceClass, getInstanceClassName, getInstanceTypeName, isInstance, setInstanceClass, setInstanceClassName, setInstanceTypeName`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getElementType

    org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EClassifier> getElementType()

  Returns the value of the 'Element Type' reference list. The list contents are of type `EClassifier`.

  If the meaning of the 'Element Type' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Element Type' reference list.
  See Also:
    `ImperativeOCLPackage.getOrderedTupleType_ElementType()`

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.